Authentication
Get current session (project-based)
Get the current authenticated user session (project-based). Requires JWT Bearer token authentication. Both OrgBearerAuth and ProjectBearerAuth are supported (they use the same JWT token format). API keys are not supported for this endpoint.
GET
/api/auth/local/sessionSDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, AuthenticationApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const authentication = new AuthenticationApi(configuration);import { Configuration, AuthenticationApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const authentication = new AuthenticationApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await authentication.getLocalSession();const { data: result } = await authentication.getLocalSession();Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT
Note
Include your JWT in the
Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | No | — |
Responses
200Current session
json
{
"user": {
"id": "685acbe0e129932fbb7a0fc2",
"email": "john.doe@mudbase.dev",
"firstName": "John",
"lastName": "Doe",
"project": {
"id": "685ad30be129932fbb7a1047",
"name": "Mudbase Platform",
"role": "developer"
}
},
"authenticated": true
}{
"user": {
"id": "685acbe0e129932fbb7a0fc2",
"email": "john.doe@mudbase.dev",
"firstName": "John",
"lastName": "Doe",
"project": {
"id": "685ad30be129932fbb7a1047",
"name": "Mudbase Platform",
"role": "developer"
}
},
"authenticated": true
}401—
404—
Errors
| Code | Meaning |
|---|---|
401 | — |
404 | — |